Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface IRegisterGroup

All Superinterfaces:
  IAdaptable, IDebugElement

public interface IRegisterGroup
extends IDebugElement

A register group is a group of registers that are assigned to a stack frame. Some debug architectures provide access to registers, and registers are often grouped logically. For example, a floating point register group.

Since:
  2.0

Method Summary
`String` | `getName()` Returns the name of this register group.
`IRegister[]` | `getRegisters()` Returns the registers in this register group.
`boolean` | `hasRegisters()` Returns whether this register group currently contains any registers.

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getName

    public String getName()
                   throws DebugException

  Returns the name of this register group.

  Returns:
    this register group's name
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the debug target. The DebugException's status code contains the underlying exception responsible for the failure.

### getRegisters

    public IRegister[] getRegisters()
                             throws DebugException

  Returns the registers in this register group.

  Returns:
    the registers in this register group
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the debug target. The DebugException's status code contains the underlying exception responsible for the failure.

### hasRegisters

    public boolean hasRegisters()
                         throws DebugException

  Returns whether this register group currently contains any registers.

  Returns:
    whether this register group currently contains any registers
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the debug target. The DebugException's status code contains the underlying exception responsible for the failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.